r.his(1)

NAME
r.his - Generates red, green and blue raster map layers combining hue, intensity, and saturation (his) values from user-specified input raster map layers.

KEYWORDS
raster

SYNOPSIS
r.his
r.his help
r.his [-n] h_map=string [i_map=string] [s_map=string] r_map=string g_map=string b_map=string [--overwrite]

  Flags:

-n  Respect NULL values while drawing

--overwrite

  Parameters:

h_map=string
    Name of layer to be used for HUE

i_map=string
    Name of layer to be used for INTENSITY

s_map=string
    Name of layer to be used for SATURATION

r_map=string
    Name of output layer to be used for RED

g_map=string
    Name of output layer to be used for GREEN

b_map=string
    Name of output layer to be used for BLUE

DESCRIPTION
his stands for hue, intensity, and saturation. This program produces red, green and blue raster map layers providing a visually pleasing combination of hue, intensity, and saturation values from two or three user-specified raster map layers.

The human brain automatically interprets the vast amount of visual information available according to basic rules. Color, or hue, is used to categorize objects. Shading, or intensity, is interpreted as three-dimensional texturing. Finally, the degree of haziness, or saturation, is associated with distance or depth. This program allows data from up to three raster map layers to be combined into a color image (in the form of separate red, green and blue raster map layers) which retains the original information in terms of hue, intensity, and saturation.

While any raster map layer can be used to represent the hue information, map layers with a few very distinct colors work best. Only raster map layers representing continuously varying data like elevation, aspect, weights, intensities, or amounts can suitably be used to provide intensity and saturation information.

For example, a visually pleasing image can be made by using a watershed map for the hue factor, an aspect map for the intensity factor, and an elevation map for saturation. (The user may wish to leave out the elevation information for a first try.) Ideally, the resulting image should resemble the view from an aircraft looking at a terrain on a sunny day with a bit of haze in the valleys.

THE PROCESS
Each map cell is processed individually. First, the working color is set to the color of the corresponding cell in the map layer chosen to represent HUE. Second, this color is multiplied by the red intensity of that cell in the INTENSITY map layer. This map layer should have an appropriate gray-scale color table associated with it. You can ensure this by using the color manipulation capabilities of d.colors or r.colors. Finally, the color is made somewhat gray-based on the red intensity of that cell in the SATURATION map layer. Again, this map layer should have a gray-scale color table associated with it.

NOTES
The name is misleading. The actual conversion used is
  <U>H.i.s + <U>G.(1-s)
where
  <U>H is the R,G,B color from the hue map
  i is the red value from the intensity map
  s is the red value from the saturation map
  <U>G is 50% gray (R = G = B = 0.5)

Either (but not both) of the intensity or the saturation map layers may be omitted. This means that it is possible to produce output images that represent combinations of his, hi, or hs. The separate red, green and blue maps can be displayed on the graphics monitor using d.rgb, or combined into a composite RGB layer using r.composite. Users wishing to simply display an his composite image without actually generating any layers should use the program d.his.

SEE ALSO
d.his, d.colors, d.colortable, d.rgb, r.blend, r.colors, r.composite i.his.rgb, i.rgb.his

AUTHOR
Glynn Clements (based upon d.his)

Last changed: $Date: 2005/03/01 20:16:31 $

Full index